Ticket #320 (closed defect: fixed)

Opened 4 years ago

Last modified 4 years ago

noit:counter and noit:derive should not produce NaN, Inf or zero weight.

Reported by: jesus Assigned to: jesus
Priority: major Milestone:
Component: stratcond Severity: annoying
Keywords: Cc:

Description

Esper attacks you like a lurking octopus when tuples with (1) weight of 0, (2) value of NaN or (3) value of +/- Inf are introduced into a weighted_avg... and the octopus fucks you.

Change History

10/13/10 19:36:35 changed by jesus

  • status changed from new to closed.
  • resolution set to fixed.

(In [1467]) fixes #320

10/13/10 22:11:56 changed by jesus

  • status changed from closed to reopened.
  • resolution deleted.

Apparently, the octopus is still lurking.

10/14/10 23:37:11 changed by jesus

(In [1471]) these windows are fragile and must be precisely sized (cannot be filled with nulls), refs #320

10/25/10 20:08:18 changed by jesus

  • status changed from reopened to closed.
  • resolution set to fixed.

Running right for days... that's a long time in nanoseconds.